Last Comment Bug 719675 - [New Tab Page] Make sure the New Tab Page is accessible
: [New Tab Page] Make sure the New Tab Page is accessible
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 13
Assigned To: Tim Taubert [:ttaubert]
:
Mentors:
Depends on: 729878
Blocks: 455553
  Show dependency treegraph
 
Reported: 2012-01-19 17:58 PST by Tim Taubert [:ttaubert]
Modified: 2012-03-13 03:41 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Tim Taubert [:ttaubert] 2012-01-19 17:58:13 PST
What the summary says. David, do you want to find someone to fix this?
Comment 1 Marco Zehe (:MarcoZ) 2012-01-26 00:43:46 PST
It just landed on Central. I'll give it a try and report back here with findings.
Comment 2 Marco Zehe (:MarcoZ) 2012-01-26 07:53:36 PST
The one problem I'm seeing with the new tab page feature is that the buttons to pin and remove a site are not keyboard accessible. In browser/base/content/newTab/grid.js, they're being created with a tabindex of -1, which makes them non-tabbable.
The links and buttons themselves are exposed to assistive technologies, so is the show/hide button, so all is good on that end except for this one piece.
Comment 3 Tim Taubert [:ttaubert] 2012-01-26 11:50:09 PST
Sorry, forgot to mention that the pin/remove buttons are intentionally unfocusable for now. They will be once bug 716532 is fixed (which we'll do before pref'ing it on by default for Nightly).
Comment 4 Tim Taubert [:ttaubert] 2012-02-23 06:35:18 PST
Will be fixed by bug 729878.
Comment 5 Tim Taubert [:ttaubert] 2012-03-13 03:41:32 PDT
Fixed by bug 729878.

Note You need to log in before you can comment on or make changes to this bug.